using System;
using System.Collections.Generic;
using System.Text;

namespace KLib.Camera
{
    public interface ICameraManagerService
    {
        List<Camera> Cameras { get;}
        Camera CurrentCamera { get;}
        void AddCamera(Camera camera);
        void RemoveCamera(Camera camera);
        void RemoveCamera(int index);
        void RemoveAllCameras();
        void SetActiveCamera(Camera camera);
        void SetActiveCamera(int index);
    }
}
