using System;
using System.Collections.Generic;
using System.Text;

using KLib.Physics.Collisions;
namespace KLib.Physics
{
    public interface IPhysicsService
    {
        List<Body> Bodies { get;}
        List<Geom> Geometries { get;}
        World World { get; set;}

        void AddBody(Body body);
        void RemoveBody(Body body);
        void RemoveAllBodies();

        bool Enabled { get; set;}
    }
}
