#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace KLib.Physics
{
#if !XBOX
    [System.ComponentModel.TypeConverter(typeof(CustomPropery<World>))]
#endif
    public class World
    {
        #region Fields
        private Vector2 gravity;
        private Vector2 wind;
        private Vector2 worldSize;
        private List<Vector2> Forces;
        #endregion

        #region Properties
        public Vector2 Gravity
        {
            get { return gravity; }
            set { gravity = value; }
        }

        public Vector2 Wind
        {
            get { return wind; }
            set { wind = value; }
        }
        #endregion

        #region Initialization

        public World() 
        {
            gravity = Vector2.UnitY *-700;
            wind = new Vector2(0f, 0);
        }

        #endregion

        #region Methods

        #endregion

        #region Helper Methods

        #endregion
    }
}
