#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System.Reflection;
#endregion

namespace KLib
{
    /// <summary>
    /// Adds a Service the the Game.Services Collection of the specified type.
    /// Same as: Game.Services.AddService(typeof(type),this);
    /// </summary>
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Property ,AllowMultiple = true)]
    public class RegistersServiceAttribute : System.Attribute
    {
        #region Fields
        public Type serviceType;
        #endregion

        #region Properties

        #endregion

        #region Initialization

        public RegistersServiceAttribute()
        {

        }


        public RegistersServiceAttribute(Type serviceType)
        {
            this.serviceType = serviceType;
        }

        #endregion
    }
}
