#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace KLib.PostProcessing.Common
{
    public class Bloom : PostProcessingEffect
    {
        #region Fields
        #endregion

        #region Properties
        public Dictionary<string, object> Parameters
        {
            get { return parameters; }
            set { parameters = value; }
        }
        #endregion

        #region Initialization

        public Bloom()
        {
            parameters.Add("mag", 0.003f);
            parameters.Add("hiRange", false);
        }

        public override void LoadContent()
        {
            base.effect = Manager.Game.Content.Load<Effect>("Effects/Post/Bloom");
        }

        #endregion

        #region Methods
        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);
        }
        #endregion

        #region Helper Methods
        protected override void SetParameters()
        {
            base.SetParameters();
        }
        #endregion
    }
}
