#region Using Statements
using Microsoft.Xna.Framework;
#endregion

namespace KLib.Scene
{
    public abstract class SceneNode
    {
        #region Fields
        private SceneLayer layer;
        #endregion

        #region Properties
        public SceneLayer Layer
        {
            get { return layer; }
            set { layer = value; }
        }
        #endregion

        #region Methods
        public virtual void Update(GameTime gameTime)
        {

        }
        public virtual void Draw(Graphics.SpriteRenderer spriteBatch)
        {
        }

        public abstract object GetObject();
        #endregion
    }
}
